aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/runqemu-gen-tapdevs
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/runqemu-gen-tapdevs')
-rwxr-xr-xscripts/runqemu-gen-tapdevs4
1 files changed, 4 insertions, 0 deletions
diff --git a/scripts/runqemu-gen-tapdevs b/scripts/runqemu-gen-tapdevs
index 9f313879e6..15bccd4484 100755
--- a/scripts/runqemu-gen-tapdevs
+++ b/scripts/runqemu-gen-tapdevs
@@ -62,6 +62,10 @@ if [ -z "$IFCONFIG" ]; then
# Is it ever anywhere else?
IFCONFIG=/sbin/ifconfig
fi
+if [ ! -x "$IFCONFIG" ]; then
+ echo "$IFCONFIG cannot be executed"
+ exit 1
+fi
# Ensure we start with a clean slate
for tap in `$IFCONFIG | grep ^tap | awk '{ print \$1 }'`; do